Ubuntu 20.04 Systemd fails to configure bridged network

Bug #1860926 reported by Andrew Welham on 2020-01-26
230
This bug affects 38 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Status tracked in Groovy
Bionic
Medium
Dan Streetman
Eoan
Medium
Dan Streetman
Focal
Critical
Dan Streetman
Groovy
Critical
Balint Reczey

Bug Description

[impact]

A bridged interface with static ipv4 address and gateway configuration will fail to properly add the route via the gateway, leaving the system without a globally working network.

[test case]

On a Focal system, remove all network configuration and create this netplan:

network:
  version: 2
  renderer: networkd
  ethernets:
    enp4s0:
      dhcp4: false
  bridges:
    br0:
      interfaces: [enp4s0]
      dhcp4: no
      addresses: [192.168.0.4/24]
      gateway4: 192.168.0.1
      nameservers:
        search: [mydomain]
        addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

Replace the interface name 'enp4s0' with the actual interface name on the test system.

Reboot the system, and check the route to the gateway, which will be missing:

root@lp1860926-f:~# ip r
192.168.0.0/24 dev br0 proto kernel scope link src 192.168.0.4

The route is expected to be present, e.g.:

ubuntu@lp1860926-e:~$ ip r
default via 192.168.0.1 dev br0 proto static
192.168.0.0/24 dev br0 proto kernel scope link src 192.168.0.4

[test case, pre-focal]

same netplan as above, but remove ethernets: section. Reboot, and the bridge should have its address and route:

ubuntu@test-e:~$ ip a show br0
3: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 56:11:da:23:bb:93 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
ubuntu@test-e:~$ ip r
default via 192.168.0.1 dev br0 proto static linkdown
192.168.0.0/24 dev br0 proto kernel scope link src 192.168.0.4 linkdown

add and remove carrier, by adding and removing a slave interface:

ubuntu@test-e:~$ sudo ip l set dev ens3 master br0 up
ubuntu@test-e:~$ ip a show br0
3: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 56:11:da:23:bb:93 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::5411:daff:fe23:bb93/64 scope link
       valid_lft forever preferred_lft forever
ubuntu@test-e:~$ sudo ip l set dev ens3 nomaster

the bridge no longer has its address after losing carrier:

ubuntu@test-e:~$ ip a show br0
3: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 56:11:da:23:bb:93 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::5411:daff:fe23:bb93/64 scope link
       valid_lft forever preferred_lft forever

[regression potential]

Any regression would likely involve incorrectly configured network after an interface carrier gain/loss.

[scope]

This is needed for Focal, Eoan, and Bionic.

While this only reproduces at boot for Focal, the general loss of configuration on carrier loss even when ConfigureWithoutCarrier=true is reproducable on all releases except Xenial, which does not have the ConfigureWithoutCarrier= parameter.

[original description]

Freshly installed Ubuntu 20.04 fully patched to days date with static IP address works fine and survives a reboot

network:
  version: 2
  renderer: networkd
  ethernets:
    enp4s0:
      dhcp4: false
      addresses: [192.168.0.4/24]
      gateway4: 192.168.0.1
      nameservers:
        search: [mydomain]
        addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

however when converted to a bridged network for kvm

network:
  version: 2
  renderer: networkd
  ethernets:
    enp4s0:
      dhcp4: false
  bridges:
    br0:
      interfaces: [enp4s0]
      dhcp4: no
      addresses: [192.168.0.4/24]
      gateway4: 192.168.0.1
      nameservers:
        search: [mydomain]
        addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

will not survive a reboot and required systemd-network to be restarted or
@reboot /usr/sbin/netplan apply
added to the crontab

after a reboot the network can not b eaccseed and a
systemctl status systemd-networkd produces

systemd-networkd.service - Network Service
     Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; vendor preset: enabled)
     Active: active (running) since Sun 2020-01-26 16:36:28 UTC; 2min 27s ago
TriggeredBy: ● systemd-networkd.socket
       Docs: man:systemd-networkd.service(8)
   Main PID: 979 (systemd-network)
     Status: "Processing requests..."
      Tasks: 1 (limit: 57662)
     Memory: 4.1M
     CGroup: /system.slice/systemd-networkd.service
             └─979 /lib/systemd/systemd-networkd

Jan 26 16:38:02 firebolt systemd-networkd[979]: rtnl: received neighbor for link '5' we don't know about, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link UP
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Gained carrier
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: Link UP
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link DOWN
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Lost carrier
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Kernel removed an address we don't remember: fe80::5054:ff:fed9:7e26/64 (valid forever), ignoring.

systemctl restart systemd-networkd resolved the issue and a

systemctl status systemd-network producessystemd-networkd.service - Network Service
     Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; vendor preset: enabled)
     Active: active (running) since Sun 2020-01-26 16:39:28 UTC; 41s ago
TriggeredBy: ● systemd-networkd.socket
       Docs: man:systemd-networkd.service(8)
   Main PID: 1650 (systemd-network)
     Status: "Processing requests..."
      Tasks: 1 (limit: 57662)
     Memory: 1.6M
     CGroup: /system.slice/systemd-networkd.service
             └─1650 /lib/systemd/systemd-networkd

Jan 26 16:39:28 firebolt systemd[1]: Starting Network Service...
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: netdev ready
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: Gained IPv6LL
Jan 26 16:39:28 firebolt systemd-networkd[1650]: Enumeration completed
Jan 26 16:39:28 firebolt systemd[1]: Started Network Service.
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: netdev exists, using existing without changing its parameters
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: IPv6 successfully enabled

a journalctl -u systemd-network produces

Jan 26 16:36:28 firebolt systemd[1]: Starting Network Service...
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: netdev ready
Jan 26 16:36:28 firebolt systemd-networkd[979]: Enumeration completed
Jan 26 16:36:28 firebolt systemd-networkd[979]: wlp3s0: Interface name change detected, wlp3s0 has been renamed to wlan0.
Jan 26 16:36:28 firebolt systemd[1]: Started Network Service.
Jan 26 16:36:28 firebolt systemd-networkd[979]: wlan0: Interface name change detected, wlan0 has been renamed to wlp3s0.
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: IPv6 successfully enabled
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Link UP
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Gained carrier
Jan 26 16:36:28 firebolt systemd-networkd[979]: enp4s0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:36:28 firebolt systemd-networkd[979]: enp4s0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Lost carrier
Jan 26 16:36:28 firebolt systemd-networkd[979]: enp4s0: Link UP
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Gained carrier
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Could not set route: Network is unreachable
Jan 26 16:36:28 firebolt systemd-networkd[979]: br0: Failed
Jan 26 16:36:30 firebolt systemd-networkd[979]: br0: Lost carrier
Jan 26 16:36:31 firebolt systemd-networkd[979]: enp4s0: Gained carrier
Jan 26 16:36:31 firebolt systemd-networkd[979]: br0: Gained carrier
Jan 26 16:38:02 firebolt systemd-networkd[979]: rtnl: received neighbor for link '5' we don't know about, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: rtnl: received neighbor message with invalid family, ignoring.
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link UP
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Gained carrier
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0: Link UP
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Link DOWN
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Lost carrier
Jan 26 16:38:02 firebolt systemd-networkd[979]: virbr0-nic: Kernel removed an address we don't remember: fe80::5054:ff:fed9:7e26/64 (valid forever), ignoring.
Jan 26 16:39:28 firebolt systemd[1]: Stopping Network Service...
Jan 26 16:39:28 firebolt systemd[1]: systemd-networkd.service: Succeeded.
Jan 26 16:39:28 firebolt systemd[1]: Stopped Network Service.
Jan 26 16:39:28 firebolt systemd[1]: Starting Network Service...
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: netdev ready
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: Gained IPv6LL
Jan 26 16:39:28 firebolt systemd-networkd[1650]: Enumeration completed
Jan 26 16:39:28 firebolt systemd[1]: Started Network Service.
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: netdev exists, using existing without changing its parameters
Jan 26 16:39:28 firebolt systemd-networkd[1650]: br0: IPv6 successfully enabled

the network should restart properly after a reboot liek in earlier version of ubuntu 18.04 for example

tags: added: systemd-networkd
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in systemd (Ubuntu):
status: New → Confirmed
Dan Streetman (ddstreet) on 2020-04-14
Changed in systemd (Ubuntu Focal):
importance: Undecided → Critical
description: updated
description: updated
Dan Streetman (ddstreet) on 2020-04-14
description: updated
Mephi (mephi-mephi) wrote :

Just a note to say that I found I had the same problem.
I documented it in the linked question: https://answers.launchpad.net/ubuntu/+question/689859

I'm happy to help gather more debug information if there's a problem reproducing it.

Serge CLAUS (serge-t) wrote :

Same problem for me on Raspi 4 (bridged networking)

I have found a quick and dirty workaround:
In crontab:
  @reboot root netplan apply

Chris Nichols (fastair) wrote :

Just a note to confirm that this bug still exists in the public release downloaded from the Ubuntu website today.

The crontab workaround has saved me a bit of angst.

Sylvain Le Blanc (naz9ul) wrote :

I have this exact bug after upgrading from 19.10 workstation to 20.04, please notice I use the workstation has a LXD container server, all my nfs mount point failed to mount, and I also never get an Ip address on my bridge interface, to fix this manually I have todo netplan apply and mount -a !

Jane Atkinson (irihapeti) wrote :

The following has me wondering if this has partly to do with the presence of containers, VMs and similar items.

I upgraded my router to 20.04 a few days before release. (Plain Ubuntu command-line OS on a PC Engines APU1 board) That machine has a bridge network comprising two ethernets and one wifi. I've had no problems with it - it comes up nicely on boot. Whereas I have to use the crontab workaround on my main PC which has a bridge for VMs.

I'm not clever enough to imagine why this might be the case, but I thought it might be worth noting.

Andrew Welham (andreww-ubuntu) wrote :

Jane, Thanks, that interesting mine were from the use of KVM, although i don't think i had it installed at the time (initially at least), as i building the system. Although i can't be totally sure.

Andrew Welham (andreww-ubuntu) wrote :

Sylvain, I also have mounts and had to do the same thing. I did notice that the coundinit was getting in the way , so removed it

Sylvain Le Blanc (naz9ul) wrote :

Cloundinit is not install neither networkmanager !!! :-(

Sylvain Le Blanc (naz9ul) wrote :

If that help here is my netplan setup that was working perfect in 18.04, 19.04, 19.10

network:
  version: 2
  renderer: networkd
  ethernets:
    enp0s31f6:
      dhcp4: false
      dhcp6: false
      match:
        macaddress: 1c:1b:0d:61:85:40
      mtu: 9000
    enp12s0f0:
      dhcp4: false
      dhcp6: false
      match:
        macaddress: 00:1b:21:66:6c:c8
      mtu: 9000
    enp2s0:
      addresses:
      - 192.168.2.1/24
      dhcp4: false
      dhcp6: false
      match:
        macaddress: 00:17:b6:00:97:8a
      mtu: 9000
  vlans: {}
  wifis: {}
  bonds:
    bond0:
      interfaces: [enp0s31f6, enp12s0f0]
      mtu: 9000
      parameters:
        lacp-rate: slow
        mode: 802.3ad
        transmit-hash-policy: layer2+3
  bridges:
    br1:
      link-local: [ ]
      addresses: [ 192.168.1.166/24 ]
      dhcp4: false
      dhcp6: false
      gateway4: 192.168.1.1
      interfaces: [ bond0 ]
      nameservers:
        search: [maison.com]
        addresses: [192.168.1.11, 192.168.1.12, 1.1.1.1]

tags: added: seg
Dan Streetman (ddstreet) wrote :
Download full text (6.4 KiB)

This happens because the bridge interface comes up with carrier (specifically, with +LOWER_UP interface flag) and begins setting its addresses/routes, but then briefly loses carrier. I'm not sure why the bridge comes up with +LOWER_UP when ens3 appears to *not* be up:

Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Flags change: +UP +LOWER_UP +RUNNING
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Link UP
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Gained carrier
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Setting addresses
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Remembering updated address: 192.168.122.105/24 (valid forever)
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Flags change: -LOWER_UP
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Lost carrier
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Removing address 192.168.122.105
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: State is configuring, dropping config
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: ens3: Joined netdev
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: ens3: Bringing link up
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Flags change: -RUNNING
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Remembering updated address: 192.168.122.105/24 (valid forever)
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Addresses set
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Configuring route: dst: n/a, src: n/a, gw: 192.168.122.1, prefsrc: n/a, scope: global, table: main, proto: static, type: unicast
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Setting routes
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Forgetting address: 192.168.122.105/24 (valid forever)
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: ens3: Flags change: +UP +LOWER_UP +RUNNING
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: ens3: Link UP
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: ens3: Gained carrier
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Flags change: +LOWER_UP +RUNNING
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Gained carrier
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Setting addresses
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Could not set route: Nexthop has invalid gateway. Network is unreachable
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Failed
...
Apr 27 10:46:56 lp1860926-f systemd-networkd[643]: br0: Remembering updated address: 192.168.122.105/24 (valid forever)

Note that on carrier loss, networkd begins removing the address, but doesn't actually complete address removal until after carrier is back up, which then causes setting the network route to fail, right before the address is added again.

With upstream systemd, this doesn't happen, because the bridge interface comes up without carrier (again, specifically, without +LOWER_UP interface flag):

Apr 27 10:23:05 lp1860926-u systemd-networkd[600]: br0: Flags change: +UP
Apr 27 10:23:05 lp1860926-u systemd-networkd[600]: br0: Link UP
Apr 27 10:23:05 lp1860926-u systemd-networkd[600]: br0: R...

Read more...

Dan Streetman (ddstreet) wrote :

Can anyone affected by this please test with the systemd packages from this ppa:
https://launchpad.net/~ddstreet/+archive/ubuntu/lp1860926

Sylvain Le Blanc (naz9ul) wrote :

Doing the test now, will report back in 5 minutes.

Sylvain Le Blanc (naz9ul) wrote :
Download full text (3.3 KiB)

It work ! Thank-you so much :-)

● State: routable
         Address: 192.168.2.1 on enp2s0
                  192.168.1.166 on br1
                  192.168.122.1 on virbr0
         Gateway: 192.168.1.1 (Ubiquiti Networks Inc.) on br1
             DNS: 192.168.1.11
                  192.168.1.12
                  1.1.1.1
  Search Domains: maison.com

-- Reboot --
Apr 27 11:31:09 leblancs-Z170X-UD3 systemd[1]: Starting Network Service...
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd-networkd[2621]: br1: netdev ready
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd-networkd[2621]: bond0: netdev ready
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd-networkd[2621]: Enumeration completed
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd[1]: Started Network Service.
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd-networkd[2621]: br1: Link UP
Apr 27 11:31:10 leblancs-Z170X-UD3 systemd-networkd[2621]: br1: Gained carrier
Apr 27 11:31:11 leblancs-Z170X-UD3 systemd-networkd[2621]: br1: Lost carrier
Apr 27 11:31:11 leblancs-Z170X-UD3 systemd-networkd[2621]: enp2s0: Link UP
Apr 27 11:31:11 leblancs-Z170X-UD3 systemd-networkd[2621]: enp0s31f6: Link UP
Apr 27 11:31:11 leblancs-Z170X-UD3 systemd-networkd[2621]: enp14s0f0: Link UP
Apr 27 11:31:11 leblancs-Z170X-UD3 systemd-networkd[2621]: bond0: Link UP
Apr 27 11:31:13 leblancs-Z170X-UD3 systemd-networkd[2621]: enp14s0f0: Gained carrier
Apr 27 11:31:13 leblancs-Z170X-UD3 systemd-networkd[2621]: bond0: Gained carrier
Apr 27 11:31:13 leblancs-Z170X-UD3 systemd-networkd[2621]: br1: Gained carrier
Apr 27 11:31:15 leblancs-Z170X-UD3 systemd-networkd[2621]: veth29aacaed: Link UP
Apr 27 11:31:15 leblancs-Z170X-UD3 systemd-networkd[2621]: enp0s31f6: Gained carrier
Apr 27 11:31:16 leblancs-Z170X-UD3 systemd-networkd[2621]: veth29aacaed: Gained carrier
Apr 27 11:31:16 leblancs-Z170X-UD3 systemd-networkd[2621]: veth9b9e65cf: Link UP
Apr 27 11:31:17 leblancs-Z170X-UD3 systemd-networkd[2621]: veth9b9e65cf: Gained carrier
Apr 27 11:31:17 leblancs-Z170X-UD3 systemd-networkd[2621]: enp2s0: Gained carrier
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: rtnl: received neighbor for link '14' we don't know about, ignoring.
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: rtnl: received neighbor for link '14' we don't know about, ignoring.
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: rtnl: received neighbor for link '14' we don't know about, ignoring.
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: rtnl: received neighbor for link '14' we don't know about, ignoring.
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: virbr0-nic: Link UP
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: virbr0-nic: Gained carrier
Apr 27 11:31:22 leblancs-Z170X-UD3 systemd-networkd[2621]: virbr0: Link UP
Apr 27 11:31:23 leblancs-Z170X-UD3 systemd-networkd[2621]: virbr0-nic: Link DOWN
Apr 27 11:31:23 leblancs-Z170X-UD3 systemd-networkd[2621]: virbr0-nic: Lost carrier
Apr 27 11...

Read more...

Sylvain Le Blanc (naz9ul) wrote :

Here is the output from networkctl

root@leblancs-Z170X-UD3:~# networkctl
IDX LINK TYPE OPERATIONAL SETUP
  1 lo loopback carrier unmanaged
  2 enp14s0f0 ether enslaved configured
  3 enp14s0f1 ether off unmanaged
  4 enp0s31f6 ether enslaved configured
  5 enp2s0 ether routable configured
  6 enp15s0f0 ether off unmanaged
  7 enp15s0f1 ether off unmanaged
  8 bond0 bond enslaved configured
  9 br1 bridge routable configured
 11 veth29aacaed ether carrier unmanaged
 13 veth9b9e65cf ether carrier unmanaged
 14 virbr0 bridge no-carrier unmanaged
 15 virbr0-nic ether off unmanaged

13 links listed.

Mephi (mephi-mephi) wrote :
Download full text (5.0 KiB)

That works for me too :-)

Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: netdev ready
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br1: netdev ready
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: netdev ready
Apr 27 18:43:50 mephi-server systemd-networkd[799]: Enumeration completed
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: IPv6 successfully enabled
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br1: IPv6 successfully enabled
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: IPv6 successfully enabled
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: Link UP
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: Gained carrier
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br1: Link UP
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br1: Gained carrier
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: Link UP
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: Gained carrier
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: Lost carrier
Apr 27 18:43:50 mephi-server systemd-networkd[799]: vlan107: netdev ready
Apr 27 18:43:50 mephi-server systemd-networkd[799]: enp4s0f3: Link UP
Apr 27 18:43:50 mephi-server systemd-networkd[799]: vlan107: Link UP
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: Lost carrier
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br0: Gained IPv6LL
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br107: Gained IPv6LL
Apr 27 18:43:50 mephi-server systemd-networkd[799]: br1: Gained IPv6LL
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br0
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: vlan107
Apr 27 18:43:50 mephi-server systemd-networkd-wait-online[982]: managing: br107
Apr 27 18:43:50 mephi-server systemd[1]: Starting Dispatcher daemon for systemd-networkd...
Apr 27 18:43:50 mephi-server networkd-dispatcher[1136]: No valid path found for iwconfig
Apr 27 18:43:50 mephi-server systemd[1]: Started Dispatcher daemon for systemd-networkd.
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:51 mephi-server systemd-networkd[799]: enp4s0f3: Gained carrier
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: br0
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: vlan107
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: br107
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: br1
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: br0
Apr 27 18:43:51 mephi-server systemd-networkd-wait-online[982]: managing: vlan107
Apr 27 18:43:51 mephi-server systemd-net...

Read more...

Jane Atkinson (irihapeti) wrote :

Also working here.

'networkctl status' shows:

● State: routable
  Address: 192.168.1.65 on br0
           192.168.122.1 on virbr0
           fe80::3a2c:4aff:febd:306a on br0
  Gateway: 192.168.1.1 (PC Engines GmbH) on br0
      DNS: 192.168.1.1

Apr 28 10:45:07 ja-desktop systemd-networkd[339]: rtnl: received neighbor for link '4' we don't know about, ignoring.
Apr 28 10:45:07 ja-desktop systemd-networkd[339]: rtnl: received neighbor for link '4' we don't know about, ignoring.
Apr 28 10:45:07 ja-desktop systemd-networkd[339]: rtnl: received neighbor for link '4' we don't know about, ignoring.
Apr 28 10:45:07 ja-desktop systemd-networkd[339]: rtnl: received neighbor for link '4' we don't know about, ignoring.
Apr 28 10:45:07 ja-desktop systemd-networkd[339]: virbr0-nic: Link UP
Apr 28 10:45:07 ja-desktop systemd-networkd[339]: virbr0-nic: Gained carrier
Apr 28 10:45:09 ja-desktop systemd-networkd[339]: virbr0-nic: Gained IPv6LL
Apr 28 10:45:12 ja-desktop systemd-networkd[339]: virbr0: Link UP
Apr 28 10:45:12 ja-desktop systemd-networkd[339]: virbr0-nic: Link DOWN
Apr 28 10:45:12 ja-desktop systemd-networkd[339]: virbr0-nic: Lost carrier

Many thanks!

Chris Nichols (fastair) wrote :

Also working for me.

Also of note, configuring the bridge via DHCP worked prior to the patch, regardless of assigning a dynamic or static IP via the DHCP server.

Dan Streetman (ddstreet) on 2020-04-28
description: updated
Dan Streetman (ddstreet) on 2020-04-28
description: updated
Changed in systemd (Ubuntu Groovy):
status: Confirmed → New
Changed in systemd (Ubuntu Bionic):
status: New → In Progress
Changed in systemd (Ubuntu Eoan):
status: New → In Progress
Changed in systemd (Ubuntu Focal):
status: Confirmed → In Progress
Changed in systemd (Ubuntu Bionic):
importance: Undecided → Medium
Changed in systemd (Ubuntu Eoan):
importance: Undecided → Medium
Changed in systemd (Ubuntu Bionic):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Eoan):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
assignee: nobody → Dan Streetman (ddstreet)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in systemd (Ubuntu):
status: New → Confirmed
Balint Reczey (rbalint) wrote :

Forwarded to upstream via https://github.com/systemd/systemd/pull/15619 . (Thanks @ddstreet!)

Balint Reczey (rbalint) wrote :

@ddstreet Regarding the fix IMO the proposed fix makes sense and makes systemd more robust. I'd like to add it in Ubuntu even if upstream would like to stick to a more fragile default to notice bugs earlier.

Dan Streetman (ddstreet) wrote :

@rbalint sounds good to me, thanks!

Balint Reczey (rbalint) wrote :

@ddstreet the previous upload finally landed in groovy, now I'm testing the next upload with this fix in in https://bileto.ubuntu.com/#/ticket/3801 .

Changed in systemd (Ubuntu Groovy):
assignee: nobody → Balint Reczey (rbalint)
status: Confirmed → In Progress
Dan Streetman (ddstreet) wrote :

Thanks! upstream still hasn't decided on the patch, but I'll upload to focal anyway since this has a serious impact on users. Hopefully upstream will accept the patch later.

```
a@localhost ~> cat /etc/netplan/00-installer-config.yaml
# This is the network config written by 'subiquity'
network:
  ethernets:
    ens192:
      dhcp4: true
  version: 2
a@localhost ~>
````

And

```
a@localhost ~> networkctl
IDX LINK TYPE OPERATIONAL SETUP
  1 lo loopback carrier unmanaged
  2 ens192 ether routable failed

2 links listed.
```

And

```
a@localhost ~> ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: ens192: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 00:50:56:1b:ea:c9 brd ff:ff:ff:ff:ff:ff
    inet 82.223.122.106/32 scope global dynamic ens192
       valid_lft 42258sec preferred_lft 42258sec
    inet6 fe80::250:56ff:fe1b:eac9/64 scope link
       valid_lft forever preferred_lft forever
```

And

```
a@localhost ~> networkctl status
● State: routable
  Address: 82.223.122.106 on ens192
           fe80::250:56ff:fe1b:eac9 on ens192
  Gateway: 10.255.255.1 (VMware, Inc.) on ens192
      DNS: 212.227.123.16
           212.227.123.17

May 10 03:10:35 localhost systemd-networkd[938]: Enumeration completed
May 10 03:10:35 localhost systemd-networkd[938]: ens192: IPv6 successfully enabled
May 10 03:10:35 localhost systemd[1]: Started Network Service.
May 10 03:10:35 localhost systemd[1]: Starting Wait for Network to be Configured...
May 10 03:10:35 localhost systemd-networkd[938]: ens192: Link UP
May 10 03:10:35 localhost systemd-networkd[938]: ens192: Gained carrier
May 10 03:10:35 localhost systemd-networkd[938]: ens192: DHCPv4 address 82.223.122.106/32 via 10.255.255.1
May 10 03:10:35 localhost systemd-networkd[938]: ens192: Could not set DHCPv4 route: Nexthop has invalid gateway. Network is unreachable
May 10 03:10:35 localhost systemd-networkd[938]: ens192: Failed
May 10 03:10:35 localhost systemd[1]: Finished Wait for Network to be Configured.
```

I've used the following cmd:

```
sudo add-apt-repository ppa:ddstreet/lp1860926
sudo apt-get update
```

But the issue still exist !

@ddstreet please have a look on my previous post. thanks in advance.

Sorry am new here and pressed wrongly on the status. i don't know how to revert it back to `In Progress`

Changed in systemd (Ubuntu Groovy):
status: In Progress → Fix Released
Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Released
Dan Streetman (ddstreet) wrote :

I changed the f/g status back; also I set groovy to fit committed.

Changed in systemd (Ubuntu Focal):
status: Fix Released → In Progress
Changed in systemd (Ubuntu Groovy):
status: Fix Released → In Progress
status: In Progress → Fix Committed
Dan Streetman (ddstreet) wrote :

@american your issue has nothing to do with this bug; this applies only to bridges with static configuration. You are not using a bridge and you are not using static configuration.

Hello Andrew, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Jane Atkinson (irihapeti) wrote :

Verification successful.

Package version: systemd-245.4-4ubuntu3.1 from -proposed repository.

Upgraded and rebooted. The network came up normally.

tags: added: verification-done-focal
removed: verification-needed-focal

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

hddemux/unknown (armhf)
pyudev/unknown (armhf)
python-uinput/unknown (armhf)
prometheus/2.15.2+ds-2 (armhf, amd64, arm64, ppc64el, s390x)
gvfs/unknown (armhf)
indicator-session/unknown (armhf)
gpsd/unknown (armhf)
samba/unknown (armhf)
python-systemd/unknown (armhf)
golang-github-coreos-go-systemd/unknown (armhf)
pystemd/unknown (armhf)
umockdev/0.14.1-1 (armhf)
remctl/unknown (armhf)
icinga2/unknown (armhf)
gnome-desktop3/unknown (armhf)
munin/2.0.56-1ubuntu1 (arm64)
haproxy/unknown (armhf)
python-dbusmock/unknown (armhf)
gvfs/1.44.1-1ubuntu1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Junien Fridrick (axino) wrote :

systemd-245.4-4ubuntu3.1 fixes the problem for me as well

Dan Streetman (ddstreet) on 2020-05-13
tags: added: verification-done
removed: verification-needed
Dan Streetman (ddstreet) on 2020-05-13
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.5-2ubuntu2

---------------
systemd (245.5-2ubuntu2) groovy; urgency=medium

  [ Dan Streetman ]
  * network: Change IgnoreCarrierLoss default to value of ConfigureWithoutCarrier.
    This fixes bridges with static IP configuration. (LP: #1860926)
    File: debian/patches/lp1860926-network-Change-IgnoreCarrierLoss-default-to-value-of.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=59d655136ca05d830d46e5cd90e6b549406cd670
  * Cherry-pick fix from upstream master to adjust UseGateway= default
    - network: change UseGateway= default to UseRoutes= setting
    - network: honor SetDNSRoutes= even if UseGateway=False (LP: #1867375)
    Files:
    - debian/patches/network-change-UseGateway-default-to-UseRoutes-setting.patch
    - debian/patches/network-honor-SetDNSRoutes-even-if-UseGateway-False.patch
    - debian/patches/test-modify-add-tests-for-UseRoutes-and-UseGateway-config.patch
    - debian/patches/test-verify-RoutesToDNS-is-independent-of-UseGateway.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=4ddb639d6bb0ca07368348bc588c21c41f08a5e7
  * refresh quilt patches

  [ Balint Reczey ]
  * Rename a few patches which are expected to stay longer in Ubuntu
    Files:
    - debian/patches/Revert-cgroup-Continue-unit-reset-if-cgroup-is-busy.patch
    - debian/patches/Revert-namespace-be-more-careful-when-handling-namespacin.patch
    - debian/patches/resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch
    - debian/patches/debian/UBUNTU-Revert-cgroup-Continue-unit-reset-if-cgroup-is-busy.patch
    - debian/patches/debian/UBUNTU-Revert-namespace-be-more-careful-when-handling-namespacin.patch
    - debian/patches/debian/UBUNTU-resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=41e97add3900c761fafc58c7a2b024f7b618d313
  * test: Skip test-boot-timestamps on permission denied.
    This fixes root-unittests in unprivileged LXD containers
    File: debian/patches/test-Skip-test-boot-timestamps-on-permission-denied.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b98a63c04e9e82b0f57617e21233aa103b069785
  * tests: Skip test-execute in containers
    File: debian/tests/root-unittests
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2d6f282bf20866f711c6ae509228b0c513218ca9
  * Run some tests in LXD, too
    Files:
    - debian/tests/control
    - debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=bf0bb5176284d9ec1b348b84e70f961ee12e3cac

 -- Balint Reczey <email address hidden> Tue, 12 May 2020 16:59:54 +0200

Changed in systemd (Ubuntu Groovy):
status: Fix Committed → Fix Released

Hello Andrew, or anyone else affected,

Accepted systemd into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/242-7ubuntu3.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
removed: verification-done
Dan Streetman (ddstreet) wrote :

autopkgtest analysis for focal:

prometheus fails in all archs due to bug 1878709 (ignore)
gvfs (arm64) is flaky, test retried (ignore if it fails again)

All autopkgtests for the newly accepted systemd (242-7ubuntu3.9) for eoan have finished running.
The following regressions have been reported in tests triggered by the package:

nghttp2/unknown (armhf)
pulseaudio/unknown (armhf)
docker.io/unknown (armhf)
csync2/unknown (armhf)
network-manager/unknown (armhf)
dovecot/unknown (armhf)
open-iscsi/unknown (armhf)
netplan.io/unknown (armhf)
asterisk/1:16.2.1~dfsg-2build2 (arm64)
tinyssh/unknown (armhf)
puppet/unknown (armhf)
corosync/unknown (armhf)
python-uinput/unknown (armhf)
nextepc/unknown (armhf)
debci/unknown (armhf)
pyudev/unknown (armhf)
cups/unknown (armhf)
umockdev/0.13.2-1 (armhf)
cockpit/unknown (ppc64el)
network-manager/1.20.4-2ubuntu2.2 (arm64)
nftables/unknown (armhf)
prometheus/unknown (armhf)
corosync-qdevice/unknown (armhf)
prometheus-bind-exporter/unknown (armhf)
python-systemd/unknown (armhf)
prometheus-alertmanager/unknown (armhf)
ndctl/unknown (armhf)
prometheus-apache-exporter/unknown (armhf)
dpdk/unknown (armhf)
nextepc/0.3.10+nods-3ubuntu1 (ppc64el)
dbus/unknown (armhf)
openssh/1:8.0p1-6build1 (armhf, amd64, i386, ppc64el, arm64, s390x)
openrazer/unknown (armhf)
gvfs/1.42.1-1ubuntu1 (arm64)
snapd/2.42.1+19.10 (i386)
prometheus-node-exporter/unknown (armhf)
prometheus-postgres-exporter/unknown (armhf)
python-dbusmock/unknown (armhf)
systemd/242-7ubuntu3.9 (ppc64el)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/eoan/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Ricardo Ortega (rortega2) wrote :
Download full text (5.3 KiB)

Using ubuntu-20.04-live-server-amd64.iso I created an USB and did fresh install, after fresh install I ran apt get update followed by apt get upgrade, I then removed the existing yaml in /etc/netplan and added 99_config.yaml:

labuser@lab:~$ sudo nano /etc/netplan/99_config.yaml
labuser@lab:~$ sudo cat /etc/netplan/99_config.yaml
network:
  version: 2
  renderer: networkd
  ethernets:
    enp0s25:
      dhcp4: no
      dhcp6: no
  bridges:
    br0:
      interfaces: [enp0s25]
      dhcp4: no
      addresses: [10.59.2.57/24]
      gateway4: 10.59.2.1
      nameservers:
          search: [mydomain, otherdomain]
          addresses: [209.18.47.61, 209.18.47.62]
labuser@lab:~$ sudo shutdown -r
labuser@lab:~$ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp0s25: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel master br0 state UP group default qlen 1000
    link/ether 3c:d9:2b:4f:01:80 brd ff:ff:ff:ff:ff:ff
3: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 3c:d9:2b:4f:01:80 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::ac4c:ffff:fe1b:21b7/64 scope link
       valid_lft forever preferred_lft forever
labuser@lab:~$ sudo net apply
labuser@lab:~$ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp0s25: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel master br0 state UP group default qlen 1000
    link/ether 3c:d9:2b:4f:01:80 brd ff:ff:ff:ff:ff:ff
3: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 3c:d9:2b:4f:01:80 brd ff:ff:ff:ff:ff:ff
    inet 10.59.2.57/24 brd 10.59.2.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::ac4c:ffff:fe1b:21b7/64 scope link
       valid_lft forever preferred_lft forever
labuser@lab:~$ dpkg -l systemd
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-==============-============-=================================
ii systemd 245.4-4ubuntu3 amd64 system and service manager
labuser@lab:~$ cat /etc/os-release
NAME="Ubuntu"
VERSION="20.04 LTS (Focal Fossa)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 20.04 LTS"
VERSION_ID="20.04"
HOME_URL="https://www.ubuntu.com/"
SUPPORT_URL="https://help.ubuntu.com/"
BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
VERSION_CODENAME=focal
UBUNTU_CODENAME=focal
labuser@lab:~$ sudo nano /etc/apt/so...

Read more...

Mephi (mephi-mephi) wrote :

Just a quick note to say that I removed the PPA enabled -proposed in my apt sources and rebooted, and networking is all working fine.

fmo (fmo) wrote :

I applied the fix from proposed and I can confirm that it fixed the issue for me too. thank you!

Dan Streetman (ddstreet) wrote :

eoan:

root@lp1860926-e:~# cat /etc/netplan/50-cloud-init.yaml
# This file is generated from information provided by the datasource. Changes
# to it will not persist across an instance reboot. To disable cloud-init's
# network configuration capabilities, write a file
# /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg with the following:
# network: {config: disabled}
network:
  version: 2
  renderer: networkd
  bridges:
    br0:
      dhcp4: no
      addresses: [192.168.0.4/24]
      gateway4: 192.168.0.1
      nameservers:
        search: [mydomain]
        addresses: [192.168.0.1,192.168.0.2,192.168.0.3]

root@lp1860926-e:~# dpkg -l systemd|grep systemd
ii systemd 242-7ubuntu3.8 amd64 system and service manager
root@lp1860926-e:~# netplan apply
root@lp1860926-e:~# ip a show br0
2: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
root@lp1860926-e:~# ip l set up dev eth0 master br0
root@lp1860926-e:~# ip a show br0
2: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::781e:9fff:fe13:ece4/64 scope link
       valid_lft forever preferred_lft forever
root@lp1860926-e:~# ip l set dev eth0 nomaster
root@lp1860926-e:~# ip a show br0
2: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::781e:9fff:fe13:ece4/64 scope link
       valid_lft forever preferred_lft forever

root@lp1860926-e:~# dpkg -l systemd|grep systemd
ii systemd 242-7ubuntu3.9 amd64 system and service manager
root@lp1860926-e:~# netplan apply
root@lp1860926-e:~# ip a show br0
2: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
root@lp1860926-e:~# ip l set dev eth0 up master br0
root@lp1860926-e:~# ip a show br0
2: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::781e:9fff:fe13:ece4/64 scope link
       valid_lft forever preferred_lft forever
root@lp1860926-e:~# ip l set dev eth0 nomaster
root@lp1860926-e:~# ip a show br0
2: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 7a:1e:9f:13:ec:e4 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.4/24 brd 192.168.0.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::781e:9fff:fe13:ece4/64 scope link
       valid_lft forever preferred_lft forever

tags: added: verification-done verification-done-eoan
removed: verification-needed verification-needed-eoan
Dan Streetman (ddstreet) wrote :

autopkgtest remaining failing tests:

systemd (ppc64el): this has always failed, ignore.
snapd (ii386): this has failed in i386 for a long time due to missing i386 deps/snaps, ignore

Dan Streetman (ddstreet) wrote :

autopkgtest analysis for eoan above in comment 43, analysis for focal above in comment 37

Same here:

/etc/netplan/01-netcfg.yaml

network:
  version: 2
  renderer: networkd
  ethernets:
    eno1:
      dhcp4: no
  bridges:
    br0:
      dhcp4: yes
      interfaces:
        - eno1
      addresses:
        - 192.168.xx.xx/24
        - 2a02:...........::xx/64
      gateway4: 192.168.xx.xx
      gateway6: fe80::.......
      nameservers:
       addresses: [192.168.xx.xx]

sudo add-apt-repository ppa:ddstreet/lp1860926
sudo apt-get update

FIXED it for me.

Simon Déziel (sdeziel) wrote :

On Focal, I can confirm the bug and the fix from 245.4-4ubuntu3.1 (focal-proposed). Thanks for working on this!

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.1

---------------
systemd (245.4-4ubuntu3.1) focal; urgency=medium

  * d/p/lp1867375/0001-network-add-a-flag-to-ignore-gateway-provided-by-DHC.patch,
    d/p/lp1867375/0002-test-network-add-a-test-case-for-DHCPv4.UseGateway-n.patch,
    d/p/lp1867375/0003-network-change-UseGateway-default-to-UseRoutes-setti.patch,
    d/p/lp1867375/0004-test-modify-add-tests-for-UseRoutes-and-UseGateway-c.patch,
    d/p/lp1867375/0005-network-honor-SetDNSRoutes-even-if-UseGateway-False.patch,
    d/p/lp1867375/0006-test-verify-RoutesToDNS-is-independent-of-UseGateway.patch:
    - Add UseGateway= parameter and default to value of UseRoutes, to restore
      backwards compatibility with old UseRoutes= behavior (LP: #1867375)
  * d/p/lp1860926-network-Change-IgnoreCarrierLoss-default-to-value-of.patch:
    - default ignore_carrier_loss to value of configure_without_carrier,
      so carrier drop during configuration doesn't break networking
      (LP: #1860926)
   * d/e/initramfs-tools/hooks/udev:
     - Follow symlinks when finding link files to copy into initramfs
       (LP: #1868892)
   * d/p/lp1873607/0001-core-some-minor-clean-ups-modernizations.patch,
     d/p/lp1873607/0002-core-make-sure-to-restore-the-control-command-id-too.patch:
     - Avoid segfault during serialization (LP: #1873607)

 -- Dan Streetman <email address hidden> Thu, 07 May 2020 09:21:22 -0400

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 242-7ubuntu3.9

---------------
systemd (242-7ubuntu3.9) eoan; urgency=medium

  * d/p/lp1867375/0001-network-Allow-to-configure-GW-even-UseRoutes-false.patch,
    d/p/lp1867375/0002-network-add-a-flag-to-ignore-gateway-provided-by-DHC.patch,
    d/p/lp1867375/0003-network-change-UseGateway-default-to-UseRoutes-setti.patch,
    d/p/lp1867375/0004-network-honor-SetDNSRoutes-even-if-UseGateway-False.patch:
    - Move gateway ignoring from UseRoutes= to UseGateway= (LP: #1867375)
   * d/p/lp1873607/0001-core-some-minor-clean-ups-modernizations.patch,
     d/p/lp1873607/0002-core-make-sure-to-restore-the-control-command-id-too.patch:
     - Avoid segfault during serialization (LP: #1873607)
   * d/p/lp1877271-network-drop-all-checks-of-ipv6_disabled-sysctl.patch:
     - enable ipv6 for interface when needed (LP: #1877271)
   * d/p/lp1860926-network-Change-IgnoreCarrierLoss-default-to-value-of.patch:
     - IgnoreCarrierLoss default to ConfigureWithoutCarrier (LP: #1860926)

 -- Dan Streetman <email address hidden> Fri, 08 May 2020 12:28:53 -0400

Changed in systemd (Ubuntu Eoan):
status: Fix Committed → Fix Released
Lithi (lithi) wrote :

Yes systemd is now at 245.4-4ubuntu3.1 and the interface does come up at boot.

Note my config is also now using the macaddress parameter as mentioned by another commenter above, which may have effected the result.

Thank you very much!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions